import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";
// 查询列表【请填写功能名称】
export function listDevice(query) {
  return request({
    url: '/system/device/list',
    method: 'get',
    params: query
  })
}

export function listIdName(query) {
  return request({
    url: '/system/device/listidname',
    method: 'get',
    params: query
  })
}

// 查询详细【请填写功能名称】
export function getDevice(id) {
  return request({
    url: '/system/device/' + id,
    method: 'get'
  })
}

// 查询主机
export function getHostByOrgId(orgId) {
  return request({
    url: '/system/device/getHostByOrgId/'+ orgId.id,
    method: 'get'
  })
}
// 新增【请填写功能名称】
export function addDevice(data) {
  return request({
    url: '/system/device',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateDevice(data) {
  return request({
    url: '/system/device',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delDevice(id) {
  return request({
    url: '/system/device/' + id,
    method: 'delete'
  })
}
